Passer au contenu principal
POST
/
veo
/
videos
Veo Videos
curl --request POST \
  --url https://api.acedata.cloud/veo/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "text2video",
  "model": "veo2",
  "resolution": "4k",
  "prompt": "White ceramic coffee mug on glossy marble counter, top with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle.",
  "video_id": "<string>",
  "translation": true,
  "aspect_ratio": "9:16",
  "image_urls": [
    "<string>"
  ],
  "callback_url": "<string>"
}
'
{
  "data": {},
  "success": true
}

Autorisations

Authorization
string
header
requis

En-têtes

accept
enum<string>

Specifies the format of the response from the server, should be application/json.

Options disponibles:
application/json

Corps

application/json
action
enum<string>
requis

The action to generate the video. If text2video, the video will be generated from the prompt.

Options disponibles:
text2video,
image2video,
get1080p
model
enum<string>

The model used to generate the videos, default value is veo2-fast.

Options disponibles:
veo2,
veo2-fast,
veo3,
veo3-fast,
veo31-fast,
veo31,
veo31-fast-ingredient
resolution
enum<string>

The resolution of the generated video, default value is 720p.

Options disponibles:
4k,
1080p,
gif
prompt
string

The prompt which used to generate the video.

Exemple:

"White ceramic coffee mug on glossy marble counter, top with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle."

video_id
string

The video_id need to refer to, this parameter is only valid when action is get1080p.

translation
boolean

Whether to enable the automatic translation of prompt words, the default value is false.

aspect_ratio
enum<string>

Set the video output size, this parameter is only valid when action is image2video, it can auto make the final video adapt to the aspect ratio.

Options disponibles:
9:16,
1:1,
3:4,
4:3,
16:9
image_urls
string[]

The reference image URLs for generating videos, this parameter is only valid when action is image2video

callback_url
string

The callback URL which will be called when the video is generated

Réponse

OK, the request is successful.

data
object

The output video items generated from the prompt

success
boolean

The flag indicates the request is successful or not